- [HTTP request](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/get#body.request_body)
- [Response body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/get#body.aspect)
- [ChatAppConfigView](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/get#ChatAppConfigView)
- [Try it!](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/get#try-it)

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Gets the Chat app configuration of a project. Only Chat apps built as Google Workspace add-ons are supported. Each Google Cloud project has exactly one Chat app configuration.

<br />

Requires authenticating and authorizing with user credentials and the `gsuiteaddons.chatAppConfigs.get` and `chat.bots.get` IAM permissions on the project.

### HTTP request

`GET https://gsuiteaddons.googleapis.com/v1/{name=projects/*/chatAppConfig}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the Chat app configuration. Format: `projects/{project}/chatAppConfig`, where `{project}` is the Google Cloud project number. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `gsuiteaddons.chatAppConfigs.get` - `chat.bots.get` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/get#ChatAppConfigView`)`` Optional. The view of the ChatAppConfig to return. If unspecified, defaults to `BASIC`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig#ChatAppConfig`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## ChatAppConfigView

A view that specifies which fields should be populated in the ChatAppConfig resource.

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

<br />

| Enums ||
|---|---|
| `CHAT_APP_CONFIG_VIEW_UNSPECIFIED` | The default or unset value. Defaults to `BASIC`. |
| `BASIC` | Populates only the basic metadata about the app configuration, without the interactive feature configuration. This is the default value. |
| `FULL` | Populates all the fields including the interactive feature configurations. |